
function Skinner:MobileFrames()

    self:TalentFrame()
    self:MacroFrame()
    self:InspectFrame()
    self:TradeSkill()
    self:CraftFrame()
    self:ClassTrainer()
    self:AuctionFrame()
                       
	-- skin the Tooltip
	MobileFramesTooltip:SetBackdrop(backdrop)
	self:skinTooltip(MobileFramesTooltip)

end